-- Example 5 - Major Customer Account on  Hold --

-- This example is used to update a column to trigger a Task to run --

-- Check Customer Status
SELECT account_ref,name,balance,prior_year,account_on_hold 
FROM TaskCentreTrainingDB.dbo.SALES_LEDGER 
WHERE ACCOUNT_REF like '%ACE001%'

-- Update customer on hold flag
UPDATE TaskCentreTrainingDB.dbo.SALES_LEDGER 
SET ACCOUNT_ON_HOLD =1
WHERE ACCOUNT_REF LIKE '%ACE001%'

-- Check Customer Status after update
SELECT account_ref,name,balance,prior_year,account_on_hold 
FROM TaskCentreTrainingDB.dbo.SALES_LEDGER 
WHERE ACCOUNT_REF like '%ACE001%'

WAITFOR DELAY '00:00:05';

-- Change on hold flag back to 0 (zero) --

UPDATE TaskCentreTrainingDB.dbo.SALES_LEDGER
SET ACCOUNT_ON_HOLD =0
WHERE ACCOUNT_REF LIKE '%ACE001%'
