-- Example 11a - Customer On HOLD Override --

-- This example is used to put a customer on HOLD --
-- Observe on hold status before update
SELECT Account_ref,Name, Account_on_hold
FROM TaskCentreTrainingDB.dbo.SALES_LEDGER
WHERE ACCOUNT_REF like 'ASL001'

-- Update on hold status for account ASL001
UPDATE TaskCentreTrainingDB.dbo.SALES_LEDGER SET ACCOUNT_ON_HOLD = 1 Where ACCOUNT_REF like 'ASL001'

-- Observe on hold status after update
SELECT Account_ref,Name, Account_on_hold
FROM TaskCentreTrainingDB.dbo.SALES_LEDGER
WHERE ACCOUNT_REF like 'ASL001'

WAITFOR DELAY '00:00:05';

-- Change on hold flag back to 0 (zero) --

UPDATE TaskCentreTrainingDB.dbo.SALES_LEDGER
SET ACCOUNT_ON_HOLD =0
WHERE ACCOUNT_REF LIKE 'ASL001'